List Widgets
curl --request GET \
--url https://api.truedy.ai/api/public/v1/widgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.truedy.ai/api/public/v1/widgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truedy.ai/api/public/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"presentation": "video",
"primary_color": "#6366f1",
"font_family": "'Inter', sans-serif",
"dark_mode": false,
"position": "bottom-right",
"button_text": "Talk to AI",
"display_name": "<string>",
"agent_subtext": "<string>",
"widget_size": "medium",
"placement_mode": "overlay",
"embedded_justification": "center",
"show_transcript": true,
"show_post_call_recap": false,
"speaking_animation": true,
"animation_color": "<string>",
"allowed_domains": [
"<string>"
],
"profile_picture_url": "<string>",
"speaking_picture_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
},
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Widgets
List Widgets
List widgets owned by the API key’s organization.
GET
/
widgets
List Widgets
Authorizations
Your API key. Send in the Authorization header as: Bearer
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Maximum string length:
100⌘I

